
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/web:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 5 - Production/Stable',
        'Programming Language :: Python :: 3.11',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI WebUI Host',
    'install_requires': (
        'Jinja2~=3.1.2',
        'aiohttp_cors~=0.7',
        'aiohttp~=3.8.1',
        'aiotools~=1.6.1',
        """backend.ai-cli==23.03.8
""",
        """backend.ai-client==23.03.8
""",
        """backend.ai-common==23.03.8
""",
        """backend.ai-plugin==23.03.8
""",
        'click>=7.1.2',
        'coloredlogs~=15.0',
        'pycryptodome>=3.14.1',
        'redis[hiredis]~=4.5.5',
        'setproctitle~=1.3.2',
        'tomli~=2.0.1',
        'trafaret~=2.1',
        'types-Jinja2',
        'types-click',
        'types-redis',
        'types-setuptools',
        'uvloop>=0.17; sys_platform != "Windows"',
        'yarl~=1.8.2',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Web Server

[![GitHub version](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver.svg)](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver) [![PyPI version](https://badge.fury.io/py/backend.ai-webserver.svg)](https://badge.fury.io/py/backend.ai-webserver)

A webapp hosting daemon which serves our `webui` as a SPA and proxies API requests


## Installation

Prepare a Python virtualenv (Python 3.9 or higher) and a Redis server (6.2 or higher).

```console
$ git clone https://github.com/lablup/backend.ai-webserver webserver
$ cd webserver
$ pip install -U -e .
$ cp webserver.sample.conf webserver.conf
```

## Mode

If `service.mode` is set "webui" (the default), the webserver handles
PWA-style fallbacks (e.g., serving `index.html` when there are no matching
files for the requested URL path).
The PWA must exclude `/server` and `/func` URL prefixes from its own routing
to work with the webserver's web sessions and the API proxy.

If it is set "static", the webserver serves the static files as-is,
without any fallbacks or hooking, while preserving the `/server` and `/func`
prefixed URLs and their functionalities.

If you want to serve web UI in webserver with "webui" mode, prepare static web UI source by choosing one of the followings.

### Option 1: Build web UI from source

Build **[backend.ai-webui](https://github.com/lablup/backend.ai-webui)** and copy all files under `build/bundle`
into the `src/ai/backend/web/static` directory.

### Option 2: Use pre-built web UI

To download and deploy web UI from pre-built source, do the following:

```console
git submodule init
git submodule update
cd src/ai/backend/web/static
git checkout main  # or target branch
git fetch
git pull
```
### Setup configuration for webserver

You don't have to write `config.toml` for the web UI as this webserver auto-generates it on-the-fly.

Edit `webserver.conf` to match with your environment.


## Usage

To execute web server, run command below. (for debugging, append a `--debug` flag)


```console
$ python -m ai.backend.web.server
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-webserver',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.web': (
            'VERSION',
            'py.typed',
            'static/README.md',
            'static/asset-manifest.json',
            'static/config.toml',
            'static/default.toml',
            'static/dist/components/backend-ai-agent-summary-view-e643e2a3.js',
            'static/dist/components/backend-ai-agent-view-ff40d4fd.js',
            'static/dist/components/backend-ai-change-forgot-password-view-2148bccd.js',
            'static/dist/components/backend-ai-credential-view-bc857d4b.js',
            'static/dist/components/backend-ai-data-view-894ce54e.js',
            'static/dist/components/backend-ai-edu-applauncher-5d893dc6.js',
            'static/dist/components/backend-ai-email-verification-view-6c6c480c.js',
            'static/dist/components/backend-ai-environment-view-d1ad2ad7.js',
            'static/dist/components/backend-ai-error-view-49eff7c3.js',
            'static/dist/components/backend-ai-import-view-602cd460.js',
            'static/dist/components/backend-ai-information-view-58ce9d4b.js',
            'static/dist/components/backend-ai-list-status-c05abf3d.js',
            'static/dist/components/backend-ai-maintenance-view-c8fc39cf.js',
            'static/dist/components/backend-ai-multi-select-66dcf92b.js',
            'static/dist/components/backend-ai-permission-denied-view-5bcd7abd.js',
            'static/dist/components/backend-ai-resource-monitor-22bf2221.js',
            'static/dist/components/backend-ai-session-launcher-8cfb2480.js',
            'static/dist/components/backend-ai-session-view-3dd5f719.js',
            'static/dist/components/backend-ai-session-view-next-c8643541.js',
            'static/dist/components/backend-ai-settings-view-d0ef8eb9.js',
            'static/dist/components/backend-ai-statistics-view-9996e3ab.js',
            'static/dist/components/backend-ai-storage-host-settings-view-6c17195f.js',
            'static/dist/components/backend-ai-summary-view-19811af4.js',
            'static/dist/components/backend-ai-usersettings-view-4f251eeb.js',
            'static/dist/components/backend-ai-webui-ab578ea5.js',
            'static/dist/components/backend-ai-webui.js',
            'static/dist/components/chart-js-5eeeff65.js',
            'static/dist/components/dir-utils-1d3affeb.js',
            'static/dist/components/expansion-3249fdeb.js',
            'static/dist/components/json_to_csv-35c9e191.js',
            'static/dist/components/label-dd1fb8bb.js',
            'static/dist/components/lablup-activity-panel-6b88454f.js',
            'static/dist/components/lablup-codemirror-3133ec43.js',
            'static/dist/components/lablup-grid-sort-filter-column-ebf79bc4.js',
            'static/dist/components/lablup-loading-spinner-8866201a.js',
            'static/dist/components/lablup-progress-bar-25f67c3a.js',
            'static/dist/components/media-query-controller-c0b142ca.js',
            'static/dist/components/mwc-check-list-item-dda66b12.js',
            'static/dist/components/mwc-switch-89803115.js',
            'static/dist/components/mwc-tab-bar-49a4eacc.js',
            'static/dist/components/progress-spinner-628dde96.js',
            'static/dist/components/radio-behavior-2904b95e.js',
            'static/dist/components/select-9993aa3a.js',
            'static/dist/components/slider-745ce7ba.js',
            'static/dist/components/switch-d2f58a6c.js',
            'static/dist/components/tab-group-c5b18252.js',
            'static/dist/components/textfield-a1aae808.js',
            'static/dist/components/vaadin-grid-f8664f17.js',
            'static/dist/components/vaadin-grid-filter-column-205b0321.js',
            'static/dist/components/vaadin-grid-selection-column-628c9cc2.js',
            'static/dist/components/vaadin-grid-sort-column-ae65cab0.js',
            'static/dist/components/vaadin-iconset-143ddd31.js',
            'static/dist/components/vaadin-item-4ab5696f.js',
            'static/dist/components/vaadin-item-mixin-c0aca504.js',
            'static/index.html',
            'static/manifest.json',
            'static/manifest/app.js',
            'static/manifest/backend-ai.icns',
            'static/manifest/backend-ai.ico',
            'static/manifest/backend-ai.iconset/icon_128x128@1x.png',
            'static/manifest/backend-ai.iconset/icon_128x128@2x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@1x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@2x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@1x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@2x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@1x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@2x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@1x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@2x.png',
            'static/manifest/backend.ai-brand-simple.svg',
            'static/manifest/backend.ai-brand-white.svg',
            'static/manifest/backend.ai-brand.svg',
            'static/manifest/backend.ai-text.svg',
            'static/manifest/favicon.ico',
            'static/resources/app_template.json',
            'static/resources/badge-dark.svg',
            'static/resources/badge.svg',
            'static/resources/custom-kt.css',
            'static/resources/custom-original.css',
            'static/resources/custom.css',
            'static/resources/device_metadata.json',
            'static/resources/documents/privacy-policy.en.html',
            'static/resources/documents/privacy-policy.ko.html',
            'static/resources/documents/terms-of-service.en.html',
            'static/resources/documents/terms-of-service.ko.html',
            'static/resources/fashion-how-white.svg',
            'static/resources/fashion-how.svg',
            'static/resources/fonts/MaterialIcons-Regular.woff',
            'static/resources/fonts/MaterialIcons-Regular.woff2',
            'static/resources/fonts/MaterialIcons-Regular.woff2_',
            'static/resources/fonts/MaterialIcons-Regular.woff_',
            'static/resources/fonts/fa-brands-400.woff',
            'static/resources/fonts/fa-brands-400.woff2',
            'static/resources/fonts/fa-regular-400.woff',
            'static/resources/fonts/fa-regular-400.woff2',
            'static/resources/fonts/fa-solid-900.woff',
            'static/resources/fonts/fa-solid-900.woff2',
            'static/resources/fonts/font-awesome-all.min.css',
            'static/resources/fonts/font-awesome.css',
            'static/resources/fonts/fonts.css',
            'static/resources/fonts/montserrat-v13-latin-100.woff',
            'static/resources/fonts/montserrat-v13-latin-100.woff2',
            'static/resources/fonts/montserrat-v13-latin-100italic.woff',
            'static/resources/fonts/montserrat-v13-latin-100italic.woff2',
            'static/resources/fonts/montserrat-v13-latin-italic.woff',
            'static/resources/fonts/montserrat-v13-latin-italic.woff2',
            'static/resources/fonts/montserrat-v13-latin-regular.woff',
            'static/resources/fonts/montserrat-v13-latin-regular.woff2',
            'static/resources/fonts/quicksand-v13-latin-300.woff',
            'static/resources/fonts/quicksand-v13-latin-300.woff2',
            'static/resources/fonts/quicksand-v13-latin-500.woff',
            'static/resources/fonts/quicksand-v13-latin-500.woff2',
            'static/resources/fonts/quicksand-v13-latin-700.woff',
            'static/resources/fonts/quicksand-v13-latin-700.woff2',
            'static/resources/fonts/quicksand-v13-latin-regular.woff',
            'static/resources/fonts/quicksand-v13-latin-regular.woff2',
            'static/resources/fonts/roboto-v19-latin-100.woff',
            'static/resources/fonts/roboto-v19-latin-100.woff2',
            'static/resources/fonts/roboto-v19-latin-100italic.woff',
            'static/resources/fonts/roboto-v19-latin-100italic.woff2',
            'static/resources/fonts/roboto-v19-latin-300.woff',
            'static/resources/fonts/roboto-v19-latin-300.woff2',
            'static/resources/fonts/roboto-v19-latin-300italic.woff',
            'static/resources/fonts/roboto-v19-latin-300italic.woff2',
            'static/resources/fonts/roboto-v19-latin-900.woff',
            'static/resources/fonts/roboto-v19-latin-900.woff2',
            'static/resources/fonts/roboto-v19-latin-900italic.woff',
            'static/resources/fonts/roboto-v19-latin-900italic.woff2',
            'static/resources/fonts/roboto-v19-latin-italic.woff',
            'static/resources/fonts/roboto-v19-latin-italic.woff2',
            'static/resources/fonts/roboto-v19-latin-regular.woff',
            'static/resources/fonts/roboto-v19-latin-regular.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300.woff',
            'static/resources/fonts/ubuntu-v14-latin-300.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500.woff',
            'static/resources/fonts/ubuntu-v14-latin-500.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700.woff',
            'static/resources/fonts/ubuntu-v14-latin-700.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff2',
            'static/resources/i18n/de.json',
            'static/resources/i18n/el.json',
            'static/resources/i18n/en.json',
            'static/resources/i18n/es.json',
            'static/resources/i18n/fi.json',
            'static/resources/i18n/fr.json',
            'static/resources/i18n/id.json',
            'static/resources/i18n/it.json',
            'static/resources/i18n/ja.json',
            'static/resources/i18n/ko.json',
            'static/resources/i18n/mn.json',
            'static/resources/i18n/ms.json',
            'static/resources/i18n/pl.json',
            'static/resources/i18n/pt.json',
            'static/resources/i18n/pt_BR.json',
            'static/resources/i18n/ru.json',
            'static/resources/i18n/tr.json',
            'static/resources/i18n/vi.json',
            'static/resources/i18n/zh_CN.json',
            'static/resources/i18n/zh_TW.json',
            'static/resources/icons/LICENSE.md',
            'static/resources/icons/ROCm.png',
            'static/resources/icons/ROCm_black.png',
            'static/resources/icons/apache-spark.svg',
            'static/resources/icons/aws.png',
            'static/resources/icons/azure.png',
            'static/resources/icons/c.svg',
            'static/resources/icons/caffe.png',
            'static/resources/icons/caffe2.svg',
            'static/resources/icons/ceph.png',
            'static/resources/icons/check-list.svg',
            'static/resources/icons/classification.svg',
            'static/resources/icons/cpp.svg',
            'static/resources/icons/default.png',
            'static/resources/icons/default_app.svg',
            'static/resources/icons/file_type_cuda.svg',
            'static/resources/icons/file_type_python.svg',
            'static/resources/icons/filebrowser.svg',
            'static/resources/icons/flux.png',
            'static/resources/icons/furiosa.svg',
            'static/resources/icons/gcc.png',
            'static/resources/icons/gcp.png',
            'static/resources/icons/gdrive.png',
            'static/resources/icons/h2o.png',
            'static/resources/icons/haskell.png',
            'static/resources/icons/javascript.png',
            'static/resources/icons/julia.png',
            'static/resources/icons/jupyter.png',
            'static/resources/icons/jupyterlab.png',
            'static/resources/icons/kitty.png',
            'static/resources/icons/lablup.png',
            'static/resources/icons/local.png',
            'static/resources/icons/lua.png',
            'static/resources/icons/matlab.png',
            'static/resources/icons/mlflow.png',
            'static/resources/icons/mxnet.svg',
            'static/resources/icons/nbp.png',
            'static/resources/icons/nni.png',
            'static/resources/icons/nni.svg',
            'static/resources/icons/nodejs.png',
            'static/resources/icons/novnc.svg',
            'static/resources/icons/nvidia.png',
            'static/resources/icons/octave.png',
            'static/resources/icons/openstack.png',
            'static/resources/icons/orbit.svg',
            'static/resources/icons/php.png',
            'static/resources/icons/purestorage.png',
            'static/resources/icons/python.png',
            'static/resources/icons/pytorch.svg',
            'static/resources/icons/r-lang.svg',
            'static/resources/icons/rebel.svg',
            'static/resources/icons/rust.svg',
            'static/resources/icons/sftp.png',
            'static/resources/icons/sftp2.png',
            'static/resources/icons/swift-tensorflow.png',
            'static/resources/icons/swift.svg',
            'static/resources/icons/tensorflow.png',
            'static/resources/icons/terminal.svg',
            'static/resources/icons/texlive.png',
            'static/resources/icons/tpu.svg',
            'static/resources/icons/ubuntu.svg',
            'static/resources/icons/vscode.svg',
            'static/resources/icons/xfce.png',
            'static/resources/icons/xrdp.svg',
            'static/resources/image_metadata.json',
            'static/resources/images/401_unauthorized_access.svg',
            'static/resources/images/404_not_found.svg',
            'static/resources/images/launcher-background.png',
            'static/resources/images/loading-background-large.jpg',
            'static/resources/images/loading-background.jpg',
            'static/resources/images/web-terminal-guide-1.png',
            'static/resources/images/web-terminal-guide-2.png',
            'static/resources/images/web-terminal-guide-3.png',
            'static/resources/images/web-terminal-guide-4.png',
            'static/resources/logo.png',
            'static/resources/menu_icons/icon_create_a_key_pair.svg',
            'static/resources/menu_icons/icon_keypair_management.svg',
            'static/resources/menu_icons/icon_upload_files.svg',
            'static/resources/storage_metadata.json',
            'static/resources/templates/under_construction.html',
            'static/resources/theme.json',
            'static/resources/webui.css',
            'static/src/lib/bundles/webcomponents-ce.js',
            'static/src/lib/bundles/webcomponents-ce.js.map',
            'static/src/lib/bundles/webcomponents-pf_dom.js',
            'static/src/lib/bundles/webcomponents-pf_dom.js.map',
            'static/src/lib/bundles/webcomponents-pf_js.js',
            'static/src/lib/bundles/webcomponents-pf_js.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce.js',
            'static/src/lib/bundles/webcomponents-sd-ce.js.map',
            'static/src/lib/bundles/webcomponents-sd.js',
            'static/src/lib/bundles/webcomponents-sd.js.map',
            'static/src/lib/web-animations-js/web-animations-next-lite.min.js',
            'static/src/lib/webcomponents-loader.js',
            'static/static/js/149.924fa2a6.chunk.js',
            'static/static/js/149.924fa2a6.chunk.js.LICENSE.txt',
            'static/static/js/149.924fa2a6.chunk.js.map',
            'static/static/js/180.93079c45.chunk.js',
            'static/static/js/180.93079c45.chunk.js.map',
            'static/static/js/255.298e486b.chunk.js',
            'static/static/js/255.298e486b.chunk.js.map',
            'static/static/js/278.e6ad7ecd.chunk.js',
            'static/static/js/278.e6ad7ecd.chunk.js.LICENSE.txt',
            'static/static/js/278.e6ad7ecd.chunk.js.map',
            'static/static/js/290.27197acf.chunk.js',
            'static/static/js/290.27197acf.chunk.js.map',
            'static/static/js/478.8c8fd27b.chunk.js',
            'static/static/js/478.8c8fd27b.chunk.js.map',
            'static/static/js/488.70f8dcf6.chunk.js',
            'static/static/js/488.70f8dcf6.chunk.js.LICENSE.txt',
            'static/static/js/488.70f8dcf6.chunk.js.map',
            'static/static/js/502.9e298a0c.chunk.js',
            'static/static/js/502.9e298a0c.chunk.js.map',
            'static/static/js/505.51098dee.chunk.js',
            'static/static/js/505.51098dee.chunk.js.map',
            'static/static/js/526.24216f09.chunk.js',
            'static/static/js/526.24216f09.chunk.js.map',
            'static/static/js/540.c51503fa.chunk.js',
            'static/static/js/540.c51503fa.chunk.js.map',
            'static/static/js/546.91eb8c03.chunk.js',
            'static/static/js/546.91eb8c03.chunk.js.map',
            'static/static/js/558.9310b842.chunk.js',
            'static/static/js/558.9310b842.chunk.js.map',
            'static/static/js/586.05453c83.chunk.js',
            'static/static/js/586.05453c83.chunk.js.LICENSE.txt',
            'static/static/js/586.05453c83.chunk.js.map',
            'static/static/js/618.fdb02897.chunk.js',
            'static/static/js/618.fdb02897.chunk.js.map',
            'static/static/js/620.09a8fa3a.chunk.js',
            'static/static/js/620.09a8fa3a.chunk.js.map',
            'static/static/js/627.a131ed07.chunk.js',
            'static/static/js/627.a131ed07.chunk.js.map',
            'static/static/js/691.28cf63da.chunk.js',
            'static/static/js/691.28cf63da.chunk.js.map',
            'static/static/js/704.479fd964.chunk.js',
            'static/static/js/704.479fd964.chunk.js.map',
            'static/static/js/765.bf2bcb6d.chunk.js',
            'static/static/js/765.bf2bcb6d.chunk.js.LICENSE.txt',
            'static/static/js/765.bf2bcb6d.chunk.js.map',
            'static/static/js/818.9b28dc99.chunk.js',
            'static/static/js/818.9b28dc99.chunk.js.map',
            'static/static/js/898.1c3f1450.chunk.js',
            'static/static/js/898.1c3f1450.chunk.js.map',
            'static/static/js/898.55663304.chunk.js',
            'static/static/js/898.55663304.chunk.js.map',
            'static/static/js/968.ff915dbe.chunk.js',
            'static/static/js/968.ff915dbe.chunk.js.LICENSE.txt',
            'static/static/js/968.ff915dbe.chunk.js.map',
            'static/static/js/main.045f7311.js',
            'static/static/js/main.045f7311.js.LICENSE.txt',
            'static/static/js/main.045f7311.js.map',
            'static/static/js/main.8f973991.js',
            'static/static/js/main.8f973991.js.LICENSE.txt',
            'static/static/js/main.8f973991.js.map',
            'static/static/js/main.df9ff0d4.js',
            'static/static/js/main.df9ff0d4.js.LICENSE.txt',
            'static/static/js/main.df9ff0d4.js.map',
            'static/static/media/getFetch.40f37ddea2378391108f.cjs',
            'static/sw.js',
            'static/sw.js.map',
            'static/version.json',
            'static/workbox-d249b2c8.js',
            'static/workbox-d249b2c8.js.map',
            'templates/config.toml.j2',
            'templates/config_ini.toml.j2',
        ),
    },
    'packages': (
        'ai.backend.web',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.11,<3.12',
    'url': 'https://github.com/lablup/backend.ai',
    'version': """23.03.8
""",
    'zip_safe': False,
})
